1. Task Timer
Astravue docs
  • Auth
    • Get Access and Refresh Token
      POST
    • Refresh Access Token
      POST
  • Personal Tasks
    • Get task by ID
      GET
    • Update a task
      PUT
    • Delete a task
      DELETE
    • Get all tasks
      GET
    • Create a task
      POST
  • Spaces
    • Get space by ID
      GET
    • Update a space
      PUT
    • Delete a space
      DELETE
    • Get all spaces
      GET
    • Create a new space
      POST
  • Projects
    • Get project details by ID
    • Update a project
    • Delete a project
    • Get all projects in a space
    • Create a new project
  • Project Tasks
    • Get a project task by ID
    • Update a project task
    • Delete a project task
    • Get all tasks in a project
    • Create a project task
  • Task Timer
    • Get active timers for a user
      GET
    • Update a timer
      PUT
    • Delete a timer entry
      DELETE
    • Stop timer for a task
      PUT
    • Start timer for a personal task
      POST
    • Add a time range entry for a personal task
      POST
    • Add manual time entry for a personal task
      POST
    • Start timer for a project task
      POST
    • Add range timer for a project task
      POST
    • Add manual time entry for a project task
      POST
    • Get timers for a user in a task
      GET
    • Get global timesheet report
      GET
    • Get project timesheet
      GET
    • Get project timesheet summary
      GET
  • Task Comments
    • Get comments for a task
  • Project Subtasks
    • Get all subtasks
    • Update a subtask
    • Delete a subtask
    • Create a subtask
  • Personal Subtasks
    • Get all subtasks for a personal task
    • Update a subtask for a personal task
    • Delete a subtask for a personal task
    • Create a subtask for a personal task
  • Tasks Checklist
    • Get all checklists for a subtask
    • Get all checklists for a parent task
  • Bulk Export
    • Bulk list tasks
    • Bulk list projects
GuidesAPI Docs
GuidesAPI Docs
MCP Server
Astravue MCP on GitHub
  1. Task Timer

Delete a timer entry

DELETE
https://api.astravue.com/v1/time-track/{trackId}
Deletes a specific timer entry for the current user

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢204No Content
application/hal+json
Time tracker deleted successfully
Bodyapplication/hal+json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.astravue.com/v1/time-track/' \
--header 'X-Org-Id;' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-08-28 11:02:56
Previous
Update a timer
Next
Stop timer for a task
Built with